trackballs (1.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:49:12 +0800

trackballs (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1.
  * Declare compliance with Debian Policy 4.1.4.
  * Drop ICON_DIR.patch. Applied upstream.

 -- Markus Koschany <apo@debian.org>  Fri, 18 May 2018 21:29:59 +0200

trackballs (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Migrate to guile-2.2. (Closes: #885229)
  * Add ICON_DIR.patch and fix wrong default location of scalable images.

 -- Markus Koschany <apo@debian.org>  Thu, 15 Mar 2018 13:59:38 +0100

trackballs (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4.
    - It is possible to play Trackballs in 1680x1050 and higher
      resolutions when using the Auto-32 mode now. (Closes: #438721)
  * Declare compliance with Debian Policy 4.1.1.
  * Drop all patches. Merged upstream.
  * Change priority from extra to optional.
  * debian/docs: Ensure that FAQ.md, README.md and TODO.md are really
    installed.

 -- Markus Koschany <apo@debian.org>  Sun, 29 Oct 2017 22:14:27 +0100

trackballs (1.2.3-3) unstable; urgency=medium

  * Install trackballs.desktop from trackballs-data into trackballs again.
    Remove Lintian override. (Closes: #870085)
  * wrap-and-sort -sa.

 -- Markus Koschany <apo@debian.org>  Sat, 29 Jul 2017 17:57:29 +0200

trackballs (1.2.3-2) unstable; urgency=medium

  * Break against version << 1.3-2 of trackballs-music. (Closes: #870010)

 -- Markus Koschany <apo@debian.org>  Sat, 29 Jul 2017 02:53:18 +0200

trackballs (1.2.3-1) unstable; urgency=medium

  * New maintainer: Debian Games Team with the consent of Ari Pollak.
    Add myself to Uploaders.
  * New upstream version 1.2.3. (Closes: #868983)
    - Fixes segmentation faults. The game is usable again. (Closes: #839788)
    - The game uses SDL2 now which provides much better fullscreen support
      and switching to different resolutions should not crash the X server
      anymore. (Closes: #306998)
    - We build-depend on zlib1g-dev now. (Closes: #672946)
    - The Slovak PO file declares and uses UTF-8 now. (Closes: #621709)
  * Switch to compat level 10.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 4.0.0.
  * Homepage field: Point to the new fork of trackballs at github.com.
  * Move the package to Git.
  * Drop deprecated menu file and xpm icon.
  * Switch from SDL1 to SDL2. New build-dependencies zlib1g-dev, gettext. New
    build system CMake.
  * Drop all patches. No longer needed.
  * Clean up debian/rules. Add get-orig-source target.
  * Don't recommend trackballs-music anymore because the music files are
    included now.
  * Remove the paragraph of the package description that mentions the obsolete
    trackballs-music package.
  * Drop postrm file.
  * Add Breaks and Replaces relation for trackballs-music.
  * Update debian/copyright to copyright format 1.0.
  * Add manpage.patch and fix some spelling mistakes and the Lintian warning
    bad whatis entry.
  * trackballs-data: Depend on fonts-freefont-ttf and symlink the font file to
    Debian's system package.
  * Add no-execstring.patch and remove the unnecessary Exec string from
    trackballs.desktop.

 -- Markus Koschany <apo@debian.org>  Fri, 28 Jul 2017 00:11:52 +0200

trackballs (1.1.4-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add gcc6.patch and fix FTBFS with GCC-6. (Closes: #831119)
  * Provide a new trackballs.xpm icon for menu file.
    Converted from share/icons/trackballs-32x32.png. (Closes: #420727)
  * Add and install trackballs.desktop file.
    Thanks to Stefan Potyra for the initial patch. (Closes: #414651)
  * Add german-translations.patch.
    Thanks to Erik Pfannenstein for the report and patch. (Closes: #598517)
  * Fix installation path for arch-independent files like icons and locales
    to /usr/share as appropriate.
  * Add debian/clean and ensure that the game can be built twice in a row.
  * Drop -dbg package and use the automatic -dbgsym package instead.
  * Delete empty directories and do not install them.
  * Switch to compat level 10.
  * d/control: Remove duplicate Section field from binary packages.
  * Remove dirs file. It is obsolete.

 -- Markus Koschany <apo@debian.org>  Tue, 04 Oct 2016 21:11:56 +0200

trackballs (1.1.4-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update source for guile-2.0.
    Add these patches:
      0002-lv1.scm-move-illegal-expression-context-define-to-th.patch
      0003-Port-to-Guile-2.0.patch
      0004-icons-Makefile.am-prepend-DESTDIR-to-iconsdir-here-t.patch
      0005-po-Makefile.in.in-set-mkinstalldirs-to-install-d.patch
  * Change build-dep to guile-2.0-dev. (Closes: 746011)
  * Migrate to debhelper 9
  * Delete automatically generated upstream files.  Add
    0006-Delete-automatically-generated-upstream-files.patch to handle the
    removals.
  * Add dh-autoreconf build-dep.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 26 Jan 2016 21:39:58 -0600

trackballs (1.1.4-4.2~1.gbp940fd0) UNRELEASED; urgency=medium

  ** SNAPSHOT build @940fd0a287d81a72e4e2154aae0e161131c9a841 **

  * Non-maintainer upload.
  * Import trackballs 1.1.4-4.1

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 25 Jan 2016 22:51:45 -0600

trackballs (1.1.4-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update build dependencies. (Closes: #629794)
  * debian/control: Add ${misc:Depends}.
  * debian/control: Change Section for trackballs-dbg from games to debug.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 28 Dec 2011 13:17:39 +0100

trackballs (1.1.4-4) unstable; urgency=low

  * Remove MimeType in .desktop.in file so nautilus doesn't try to open
    scripts with trackballs (Closes: #457331)

 -- Ari Pollak <ari@debian.org>  Sun, 30 Dec 2007 16:39:03 -0500

trackballs (1.1.4-3) unstable; urgency=low

  * Make trackballs-dbg not recommend trackballs-music anymore
    (Closes: #455597)

 -- Ari Pollak <ari@debian.org>  Mon, 17 Dec 2007 13:08:01 -0500

trackballs (1.1.4-2) unstable; urgency=low

  * Install .desktop file to /usr/share/applications (Closes: #414651)

 -- Ari Pollak <ari@debian.org>  Wed, 27 Jun 2007 19:45:46 -0400

trackballs (1.1.4-1) unstable; urgency=low

  * New upstream release
  * Take out --disable-nls (Closes: #421601)

 -- Ari Pollak <ari@debian.org>  Sat, 26 May 2007 23:30:35 -0400

trackballs (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Sun,  6 Aug 2006 14:38:52 -0400

trackballs (1.1.1-4) unstable; urgency=medium

  * Change build-dep from xlibmesa-glu-dev to libglu1-xorg-dev (Closes: #379716)

 -- Ari Pollak <ari@debian.org>  Thu, 27 Jul 2006 21:30:42 -0400

trackballs (1.1.1-3) unstable; urgency=low

  * Remove "boxofun" level since it's not in upstream CVS anymore anyway
    (Closes: #250110)
  * Disable the SDL parachute, which was preventing proper coredumps.
    It's kind of hard to run GL apps under gdb while
    some drivers depend on signal handlers to work as normal.

 -- Ari Pollak <ari@debian.org>  Fri, 27 Jan 2006 11:06:42 -0500

trackballs (1.1.1-2) unstable; urgency=low

  * Add versioned dependency on binutils since we now use dh_strip
    --dbg-package

 -- Ari Pollak <ari@debian.org>  Tue, 15 Nov 2005 13:45:58 -0500

trackballs (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Don't run trackballs as gid games anymore, thanks to the upstream
    authors who now allow easy storing of the high-score file
    in users' home directories. (Closes: #302454)
  * Add trackballs-dbg package which includes debugging symbols
  * Fix a serious bug that prevented 1.1.0 from starting
    under some X DRI drivers

 -- Ari Pollak <ari@debian.org>  Tue, 15 Nov 2005 10:05:02 -0500

trackballs (1.1.0-2) experimental; urgency=low

  * Don't bother running the script to install a GNOME .desktop file
    since it doesn't work anyway

 -- Ari Pollak <ari@debian.org>  Sun,  8 May 2005 19:13:05 -0400

trackballs (1.1.0-1) experimental; urgency=low

  * New upstream release.
    - Upload for experimental so we don't affect the security fix from 1.0.0-9
      going into sarge.
    - configure with --disable-nls, gettext support is kind of broken right
      now and there haven't really been any translations yet.
    - Change some functions in src/{menusystem,font}.{cc,h} from accepting
      char* to const char*, so it will build with gettext support disabled.
      Committed fixes upstream.

 -- Ari Pollak <ari@debian.org>  Fri,  4 Mar 2005 21:07:05 -0500

trackballs (1.0.0-8) unstable; urgency=low

  * Apply modified patch from Ulf Harnhammar to prevent a crash when
    the environment variable USER=%n%n%n%n%n or similar. (Closes: #297646)

 -- Ari Pollak <ari@debian.org>  Wed,  2 Mar 2005 01:48:41 -0500

trackballs (1.0.0-7) unstable; urgency=low

  * Apply modified patch from Steve Kemp to fix buffer overflows
    (Closes: #289942)

 -- Ari Pollak <ari@debian.org>  Fri, 14 Jan 2005 12:54:41 -0500

trackballs (1.0.0-6) unstable; urgency=low

  * Oops, forgot 2 out of the 4 int->longs. (Closes: #289452)

 -- Ari Pollak <ari@debian.org>  Mon, 10 Jan 2005 11:49:13 -0500

trackballs (1.0.0-5) unstable; urgency=low

  * Apply patch from Andreas Jochens to fix compile error on amd64/gcc-4.0
    (Closes: #289452)

 -- Ari Pollak <ari@debian.org>  Sun,  9 Jan 2005 13:06:49 -0500

trackballs (1.0.0-4) unstable; urgency=low

  * Fix build dependencies on libgl-dev and libglu-dev to prefer xlibmesa
  * Apply tiny patch from upstream bug report to fix ball
    initialization (Closes: #289203)

 -- Ari Pollak <ari@debian.org>  Fri,  7 Jan 2005 16:00:30 -0500

trackballs (1.0.0-3) unstable; urgency=low

  * Fix conflicts/replaces (Closes: #234463)

 -- Ari Pollak <ari@debian.org>  Mon, 23 Feb 2004 19:46:45 -0500

trackballs (1.0.0-2) unstable; urgency=low

  * Split most of /usr/share into -data package (Closes: #233451)

 -- Ari Pollak <ari@debian.org>  Tue, 17 Feb 2004 23:01:04 -0500

trackballs (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Mon,  9 Feb 2004 21:34:48 -0500

trackballs (0.9.2-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Tue,  6 Jan 2004 02:21:49 -0500

trackballs (0.9.1-1) unstable; urgency=low

  * New upstream release (Closes: #185361)

 -- Ari Pollak <ari@debian.org>  Wed, 24 Sep 2003 11:03:14 -0400

trackballs (0.9.0-6) unstable; urgency=low

  * Run automake so the autobuilders don't have to

 -- Ari Pollak <ari@debian.org>  Tue, 22 Apr 2003 23:51:27 -0400

trackballs (0.9.0-5) unstable; urgency=low

  * Don't include highscores file in package, but create it in
    /var/games/trackballs and remove it on purge
    (Addresses comment in bug #185075)

 -- Ari Pollak <ari@debian.org>  Mon, 21 Apr 2003 21:02:59 -0400

trackballs (0.9.0-4) unstable; urgency=low

  * Fix permissions on highscores file (again) (Closes: #185075)

 -- Ari Pollak <ari@debian.org>  Sat, 12 Apr 2003 18:06:18 -0400

trackballs (0.9.0-3) unstable; urgency=low

  * Rebuild against libsdl-ttf2.0

 -- Ari Pollak <ari@debian.org>  Fri, 11 Apr 2003 16:38:08 -0400

trackballs (0.9.0-2) unstable; urgency=low

  * Don't use a menu icon (Closes: #187841)

 -- Ari Pollak <ari@debian.org>  Sun,  6 Apr 2003 12:25:16 -0400

trackballs (0.9.0-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Fri,  4 Apr 2003 16:11:09 -0500

trackballs (0.8.99+cvs20030322-1) unstable; urgency=low

  * New CVS release, lots of gameplay fixes
  * Fix #185075 again from switching paths to the shared directory

 -- Ari Pollak <ari@debian.org>  Sat, 22 Mar 2003 23:11:17 -0500

trackballs (0.8.0+cvs20030317-1) unstable; urgency=low

  * New CVS release (And the year isn't 2002. Whoops.)
  * Keep permissions on highScores file writable by games group
    (Closes: #185075)

 -- Ari Pollak <ari@debian.org>  Mon, 17 Mar 2003 12:26:27 -0500

trackballs (0.8.0+cvs20020313-1) unstable; urgency=low

  * New interim release from CVS
  * Fix a few possible buffer overflows - submitted patch upstream,
    thanks to Steve Kemp for providing part of the  patch. If you find any more
    possible crashes/vulnerabilities (since it does use OpenGL which can
    speak directly to the video hardware, there is the possibility for
    something bad happening), feel free to let me know as I now have
    upstream CVS access. (Closes: #184478)
  * Move game to /usr/games, be consistent

 -- Ari Pollak <ari@debian.org>  Sat, 15 Mar 2003 01:28:12 -0500

trackballs (0.8.0-1) unstable; urgency=low

  * Initial Release. (Closes: #173210)

 -- Ari Pollak <ari@debian.org>  Fri,  7 Mar 2003 09:34:12 -0500
